package intrinsic.mx.managers;

public class NativeDragManagerImpl extends Object implements intrinsic.mx.managers.IDragManager {

	/** Accessors */
	public boolean isDragging;

	/** Variables */
	public intrinsic.mx.managers.dragClasses.DragProxy dragProxy;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NativeDragManagerImpl() {
}


/** Static Methods */
public static native intrinsic.mx.managers.IDragManager getInstance();

/** Methods */
public native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2);
public native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3);
public native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4);
public native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5);
public native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5, double arg6);
public native void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5, double arg6, boolean arg7);
public native void acceptDragDrop(intrinsic.mx.core.IUIComponent arg0);
public native void showFeedback(String arg0);
public native String getFeedback();
public native void endDrag();

}
